<?php
//error_reporting(E_ALL);
//ini_set('display_errors', 1);
$appDIR = "/var/www/klimeto/projects/2017/mzp/apps/testovanie_inspire_zdrojov/"; 
$appURL = "http://klimeto.com/projects/2017/mzp/apps/testovanie_inspire_zdrojov/";
$geoURL = "http://inspire-geoportal.ec.europa.eu/resources"; 
$resourceUrl = file_get_contents("php://input");
// Generated by curl-to-PHP: http://incarnate.github.io/curl-to-php/
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "http://inspire-geoportal.ec.europa.eu/GeoportalProxyWebServices/resources/INSPIREResourceTester");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, "http://nationaalgeoregister.nl/geonetwork/srv/dut/inspire?request=GetRecords&service=CSW&version=2.0.2&resultType=results&namespace=xmlns%28csw=http://www.opengis.net/cat/csw/2.0.2%29,xmlns%28gmd=http://www.isotc211.org/2005/gmd%29&outputFormat=application/xml&outputSchema=http://www.isotc211.org/2005/gmd&startPosition=1&maxRecords=1&elementSetName=full&constraintLanguage=FILTER&constraint_language_version=1.1.0&typeNames=gmd:MD_Metadata");
curl_setopt($ch, CURLOPT_POST, 1);
$headers = array();
$headers[] = "Accept: application/xml";
$headers[] = "Content-Type: text/plain";
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
$result = curl_exec($ch);
if (curl_errno($ch)) {
	$out['error']= curl_error($ch);
}
curl_close ($ch);
//Simple XML seems a bit too picky so we massage the response a bit
$repl = str_replace('<?xml version="1.0" encoding="UTF-8" standalone="yes"?>', '', trim($result));
$repl = str_replace("\n", '', $repl); // remove new lines
$repl = str_replace("\r", '', $repl); // remove carriage returns
$repl = trim($repl);
$report = explode("</URL>",(explode("<ns2:GeoportalMetadataLocator><URL>",$repl)[1]))[0];
//$xml = simplexml_load_string($repl);
//$report = $xml->xpath('//GeoportalMetadataLocator/URL');
if ($obj['error']){
	$out['error']= $error;
}
else{
	$out['html'] = $geoURL . $report;
}
echo json_encode($out,JSON_UNESCAPED_SLASHES);
?>
